def nova_matriz(n, m, valor=0):
    matriz = []
    for i in range(n):
        linha = []
        for j in range(m):
            linha.append(valor)
        matriz.append(linha)
    return matriz


def imprime(matriz):
    print("P1")
    print(len(matriz[0]), len(matriz))
    for linha in matriz:
        for i in range(len(linha) - 1):
            print(linha[i], end=" ")
        print(linha[-1])


# Enunciado:
# Faça uma função que lê uma imagem PBM e retorna uma matriz com os valores
# dos pixels

def le_pbm():
    input()
    leitura = input().split()
    colunas = int(leitura[0])
    linhas = int(leitura[1])
    imagem = nova_matriz(linhas, colunas)
    for i in range(linhas):
        leitura = input().split()
        for j in range(colunas):
            imagem[i][j] = int(leitura[j])
    return imagem


# Enunciado:
# Faça uma função que inverte as cores de uma imagem PBM

def inverte(matriz):
    for i in range(len(matriz)):
        for j in range(len(matriz[i])):
            matriz[i][j] = 1 - matriz[i][j]


matriz = le_pbm()
inverte(matriz)
imprime(matriz)
